The computational demand posed by applying multi-Slater determinant trials in phaseless auxiliary-field quantum Monte Carlo methods (MSD-AFQMC) is particularly significant for molecules exhibiting strong correlations. Here, we propose using direct-product wave functions as trials for MSD-AFQMC, aiming to reduce computational overhead by leveraging the compactness of multi-Slater determinant trials in direct-product form (DP-MSD). This efficiency arises when the active space can be divided into noncoupling subspaces, a condition we term “decomposable active space”. By employing localized-active space self-consistent field wave functions as an example of such trials, we demonstrate our proposed approach across a range of molecular systems, each exhibiting varying degrees of complexity in their electronic structures. Our findings indicate that the compact DP-MSD trials can reduce computational costs substantially, by up to 36 times for the C 2 H 6 N 4 molecule where the two double bonds between nitrogen N=N are clearly separated by a C–C single bond, while maintaining accuracy when active spaces are decomposable. In the case of larger systems such as the benzene dimer, characterized by weak coupling between the two monomers, we observed a decrease in computational cost compared to using a complete active space trial, yet we retained the same level of accuracy. However, for systems where these active subspaces strongly couple, a scenario we refer to as “strong subspace coupling”, the method’s accuracy decreases compared to that achieved with a complete active space approach. We anticipate that our method will be beneficial for systems with noncoupling to weakly coupling subspaces that require local multireference treatments.
The computational demand posed by applying multi-Slater determinant trials in phaseless auxiliary-field quantum Monte Carlo methods (MSD-AFQMC) is particularly significant for molecules exhibiting strong correlations. Here, we propose using direct-product wave functions as trials for MSD-AFQMC, aiming to reduce computational overhead by leveraging the compactness of multi-Slater determinant trials in direct-product form (DP-MSD). This efficiency arises when the active space can be divided into noncoupling subspaces, a condition we term “decomposable active space”. By employing localized-active space self-consistent field wave functions as an example of such trials, we demonstrate our proposed approach across a range of molecular systems, each exhibiting varying degrees of complexity in their electronic structures. Our findings indicate that the compact DP-MSD trials can reduce computational costs substantially, by up to 36 times for the C 2 H 6 N 4 molecule where the two double bonds between nitrogen N=N are clearly separated by a C–C single bond, while maintaining accuracy when active spaces are decomposable. In the case of larger systems such as the benzene dimer, characterized by weak coupling between the two monomers, we observed a decrease in computational cost compared to using a complete active space trial, yet we retained the same level of accuracy. However, for systems where these active subspaces strongly couple, a scenario we refer to as “strong subspace coupling”, the method’s accuracy decreases compared to that achieved with a complete active space approach. We anticipate that our method will be beneficial for systems with noncoupling to weakly coupling subspaces that require local multireference treatments.
We introduce an efficient approach to implement correlated many-body trial wave functions in auxiliary-field quantum Monte Carlo (AFQMC). To control the sign/phase problem in AFQMC, a constraint is derived from an exact gauge condition but is typically imposed approximately through a trial wave function or trial density matrix, whose quality can affect the accuracy of the method. Furthermore, the trial wave function can also affect the efficiency through importance sampling. The most natural form of the trial wave function has been single Slater determinants or their linear combinations. More sophisticated forms, for example, with the inclusion of a Jastrow factor or other explicit correlations, have been challenging to use, and their implementation is often assumed to require a quantum computer. In this work, we demonstrate that a large class of correlated wave functions, written in the general form of multi-dimensional integrals over hidden or auxiliary variables times Slater determinants, can be implemented as a trial wave function by coupling the random walkers to a generalized Metropolis sampling. We discuss the fidelity of AFQMC with stochastically sampled trial wave functions, which are relevant to both quantum and classical algorithms. We illustrate the method and show that an efficient implementation can be achieved, which preserves the computational scaling of AFQMC. We test our method in molecules under bond stretching and in transition metal diatomics. Significant improvements are seen in both accuracy and efficiency over typical trial wave functions, and the method yields total ground-state energies systematically within chemical accuracy. The method can be useful for incorporating other advanced wave functions, for example, neural quantum state wave functions optimized from machine learning techniques, or for other forms of fermion quantum Monte Carlo.
For optimal accuracy, auxiliary-field quantum Monte Carlo (AFQMC) requires trial states consisting of multiple Slater determinants. We develop an efficient algorithm to select the determinants from an AFQMC random walk eliminating the need for other methods. When determinants contribute significantly to the nonorthogonal configuration interaction energy, we include them in the trial state. These refined trial wave functions significantly reduce the phaseless bias and sampling variance of the local energy estimator. With 100 to 200 determinants, we lower the error of AFQMC by up to a factor of 10 for second-row elements that are not accurately described with a Hartree-Fock trial wave function. For the HEAT set, we improve the average error to within chemical accuracy. For benzene, the largest studied system, we reduce AFQMC error by 80% with 214 Slater determinants and find a 10-fold increase of the time to solution. We show that phaseless errors prevail in systems with static correlation or strong spin contamination. For such systems, improved trial states enable stable free-projection AFQMC calculations, achieving chemical accuracy even in the strongly correlated regime.
We present an approach that uses the doubly occupied configuration interaction (DOCI) wave function as the trial wave function in phaseless auxiliary-field quantum Monte Carlo (ph-AFQMC). DOCI is a seniority-zero method focused on electron pairs. Although DOCI considers much fewer electron configurations than the complete active space (CAS) configuration interaction method, it efficiently captures the static correlation, while the consequent ph-AFQMC recovers the dynamical correlation across all orbitals. We also explore an orbital-optimized version (OO-DOCI) to further improve accuracy. We test this approach on several chemical systems, including single O-H bond breaking in water and polymer additives. In these cases, OO-DOCI-AFQMC closely matches CAS-based ph-AFQMC and even outperforms coupled-cluster singles, doubles, and perturbative triples. However, for strongly correlated systems, such as the carbon dimer and multi-bond dissociation in hydrogen systems and water, the method's accuracy drops. This suggests that seniority-zero space models may be insufficient as trial wave functions in ph-AFQMC for strongly correlated systems, suggesting the need for trial wave functions in an extended space. Despite such a limitation, our study demonstrates that DOCI- and OO-DOCI-based ph-AFQMC can reduce the steep cost of CAS approaches, offering a path to accurate multi-reference calculations for larger, more complex systems.
to develop quantum Monte Carlo (QMC) approaches for excited states and for more systematic and accurate treatment of ground states of strongly correlated sytems and heavier elements. We use the auxiliary-field quantum Monte Carlo (AFQMC) framework, which is a many-body total energy method that looks like many coupled mean-field calculations. I will discuss this method’s relations and dierences with traditional density-functional and quantum chemistry methods, and with other forms of QMC. The AFQMC method uses importance-sampled random walks in the space of nonorthogonal Slater determinants to project out the many-body ground state, or excited state. The random walks are constrained by a trial wave function (TWF) to remove the so-called sign problem, giving approximate (but non-perturbative) results. With singledeterminant TWFs from Hartree-Fock or density-functional theory (DFT), this approach can be thought of as a post-DFT method with no parameter. In this form, the accuracy is typically comparable to the quantum chemistry coupled-cluster CCSD(T) method near equilibrium geometries, and better than CCSD(T) when bonds are stretched. The computational cost of AFQMC scales as N 3 with characteristic size of the system. Its accuracy can be further improved at the cost of increased computing (releasing the constraint) or better TWF. With AFQMC, we can systematically target selected orbitals to correlate. This allows many-body calculations in solids with a frozen core, with down-folded Hamiltonians, or possibly embeded in a DFT calculations to extend scales. Results from a few on-going applications will be presented, including band structures in simple solids, magnetic phases in MnO, and Cobalt adsoption on graphene.
We present an approach that uses the doubly occupied configuration interaction (DOCI) wave function as the trial wave function in phaseless auxiliary-field quantum Monte Carlo (ph-AFQMC). DOCI is a seniority-zero method focused on electron pairs. Although DOCI considers much fewer electron configurations than the complete active space (CAS) configuration interaction method, it efficiently captures the static correlation, while the consequent ph-AFQMC recovers the dynamical correlation across all orbitals. We also explore an orbital-optimized version (OO-DOCI) to further improve accuracy. We test this approach on several chemical systems, including single O-H bond breaking in water and polymer additives. In these cases, OO-DOCI-AFQMC closely matches CAS-based ph-AFQMC and even outperforms coupled-cluster singles, doubles, and perturbative triples. However, for strongly correlated systems, such as the carbon dimer and multibond dissociation in hydrogen systems and water, the method's accuracy drops. This suggests that seniority-zero space models may be insufficient as trial wave functions in ph-AFQMC for strongly correlated systems, suggesting the need for trial wave functions in an extended space. Despite such a limitation, our study demonstrates that DOCI- and OO-DOCI-based ph-AFQMC can reduce the steep cost of CAS approaches, offering a path to accurate multireference calculations for larger, more complex systems.
Using trial wave functions prepared on quantum devices to reduce the bias of auxiliary-field quantum Monte Carlo (QC-AFQMC) has established itself as a promising hybrid approach to the simulation of strongly correlated many body systems. Here, we further reduce the required quantum resources by decomposing the trial wave function into classical and quantum parts, respectively treated by classical and quantum devices, within the contextual subspace projection formalism. Importantly, we show that our algorithm is compatible with the recently developed matchgate shadow protocol for efficient overlap calculation in QC-AFQMC. Investigating the nitrogen dimer and the reductive decomposition of ethylene carbonate in lithium-based batteries, we observe that our method outperforms a number of established algorithm for ground state energy computations, while reaching chemical precision with less than half of the original number of qubits.